# Spring Cloud Function Reference Documentation

Mark Fisher, Dave Syer, Oleg Zhurakousky, Anshul Mehra  

**3.2.2**

The reference documentation consists of the following sections:

|                                              [Reference Guide](spring-cloud-function.html)                                               |Spring Cloud Function Reference|
|------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------|
|[Cloud Events](https://github.com/spring-cloud/spring-cloud-function/tree/master/spring-cloud-function-samples/function-sample-cloudevent)|         Cloud Events          |
|                [RSocket](https://github.com/spring-cloud/spring-cloud-function/tree/master/spring-cloud-function-rsocket)                |            RSocket            |
|                                                         [AWS Adapter](aws.html)                                                          |     AWS Adapter Reference     |
|                                                       [Azure Adapter](azure.html)                                                        |    Azure Adapter Reference    |
|                                                         [GCP Adapter](gcp.html)                                                          |     GCP Adapter Reference     |

Relevant Links:

|[Reactor](https://projectreactor.io/)|Project Reactor|
|-------------------------------------|---------------|

if (window.parent == window) {(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1\*new Date();a=s.createElement(o), m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)})(window,document,'script','//www.google-analytics.com/analytics.js','ga');ga('create', 'UA-2728886-23', 'auto', {'siteSpeedSampleRate': 100});ga('send', 'pageview');}